http
POST /api/data/v1/streams HTTP/1.1
Host: {instance}.domo.com
X-DOMO-Developer-Token: {token}
Content-Type: application/json
{
"transport": {
"type": "CONNECTOR",
"description": "com.domo.connector.snowflakeunloadv2",
"version": "1"
},
"configuration": [
{
"name": "query",
"value": "SELECT * FROM table",
"type": "string",
"category": "METADATA"
}
],
"account": {
"id": 3
},
"updateMethod": "APPEND",
"dataProvider": {
"key": "snowflake-unload-v2"
},
"dataSource": {
"name": "hello world",
"description": "config works?"
},
"advancedScheduleJson": "{\"type\": \"MANUAL\", \"timezone\": \"UTC\"}"
}curl --request POST \
--url https://{instance}.domo.com/api/data/v1/streams \
--header 'Content-Type: application/json' \
--header 'X-DOMO-Developer-Token: <api-key>' \
--data '
{
"transport": {
"type": "CONNECTOR",
"description": "com.domo.connector.snowflakeunloadv2",
"version": "1"
},
"configuration": [
{
"name": "query",
"value": "SELECT * FROM table",
"type": "string",
"category": "METADATA"
}
],
"account": {
"id": 3
},
"updateMethod": "APPEND",
"dataProvider": {
"key": "snowflake-unload-v2"
},
"dataSource": {
"name": "hello world",
"description": "config works?"
},
"advancedScheduleJson": "{\"type\": \"MANUAL\", \"timezone\": \"UTC\"}"
}
'import requests
url = "https://{instance}.domo.com/api/data/v1/streams"
payload = {
"transport": {
"type": "CONNECTOR",
"description": "com.domo.connector.snowflakeunloadv2",
"version": "1"
},
"configuration": [
{
"name": "query",
"value": "SELECT * FROM table",
"type": "string",
"category": "METADATA"
}
],
"account": { "id": 3 },
"updateMethod": "APPEND",
"dataProvider": { "key": "snowflake-unload-v2" },
"dataSource": {
"name": "hello world",
"description": "config works?"
},
"advancedScheduleJson": "{\"type\": \"MANUAL\", \"timezone\": \"UTC\"}"
}
headers = {
"X-DOMO-Developer-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-DOMO-Developer-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
transport: {
type: 'CONNECTOR',
description: 'com.domo.connector.snowflakeunloadv2',
version: '1'
},
configuration: [
{
name: 'query',
value: 'SELECT * FROM table',
type: 'string',
category: 'METADATA'
}
],
account: {id: 3},
updateMethod: 'APPEND',
dataProvider: {key: 'snowflake-unload-v2'},
dataSource: {name: 'hello world', description: 'config works?'},
advancedScheduleJson: '{"type": "MANUAL", "timezone": "UTC"}'
})
};
fetch('https://{instance}.domo.com/api/data/v1/streams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Stream Create
Creates a new data stream using a connector and specifies configuration details
POST
/
api
/
data
/
v1
/
streams
http
POST /api/data/v1/streams HTTP/1.1
Host: {instance}.domo.com
X-DOMO-Developer-Token: {token}
Content-Type: application/json
{
"transport": {
"type": "CONNECTOR",
"description": "com.domo.connector.snowflakeunloadv2",
"version": "1"
},
"configuration": [
{
"name": "query",
"value": "SELECT * FROM table",
"type": "string",
"category": "METADATA"
}
],
"account": {
"id": 3
},
"updateMethod": "APPEND",
"dataProvider": {
"key": "snowflake-unload-v2"
},
"dataSource": {
"name": "hello world",
"description": "config works?"
},
"advancedScheduleJson": "{\"type\": \"MANUAL\", \"timezone\": \"UTC\"}"
}Authorizations
Developer token obtained from Domo
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
APPEND, REPLACE Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
200
Stream created successfully
⌘I